package com.winhc.task.common;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author π
 * @Description:
 * @date 2021/11/24 9:32
 */
public class Constant {
    public static final List<String> indexs = Arrays.asList("bankruptcy_open_case_respondent", "company_abnormal_info", "company_check_info", "company_court_announcement"
            , "company_court_open_announcement", "company_court_register", "company_dishonest_info", "company_double_random_check_info"
            , "company_equity_info", "company_judicial_assistance", "company_illegal_info", "company_land_mortgage_mortgagor", "company_mortgage_info",
            "company_own_tax", "company_public_announcement", "company_punishment_info_creditchina", "company_punishment_info", "company_zxr_final_case",
            "company_send_announcement", "company_tax_contravention", "company_zxr", "company_zxr_restrict", "restrictions_on_exit", "zxr_evaluate",
            "zxr_evaluate_results", "wenshu_detail_v2", "company_brief_cancel_announcement", "auction_tracking", "company_env_punishment",
            "company_liquidating_info", "company_ipr_pledge", "company_equity_pledge",
            "company_change", "company_staff", "company_holder", "company_tm", "company_finance", "company_app_info", "company_icp");

    public static final List<String> ignore_list = Arrays.asList("company_holder");

    public static List<String> PERSON_SUMMARYS = SummaryArgs.SUMMARY_ARGS.entrySet()
            .stream()
            .filter(y -> !ignore_list.contains(y.getKey()))
            .filter(x -> {
                List<String> list = x.getValue().getArgsInfo().stream().map(y -> y.filterField).distinct().collect(Collectors.toList());
                list.remove("company_id");
                return list.size() > 0;
            })
            .map(Map.Entry::getKey).collect(Collectors.toList());

    public static void main(String[] args) {
        System.out.println(PERSON_SUMMARYS);
    }
}
