package com.winhc.task.bean;

import lombok.*;

import java.util.List;

/**
 * @Author: π
 */
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SynKafKaJobArgs {
    private String project;
    private String flow;
    private String taskName;
    private List<String> nodeIds;
    private String tn;
    private String topic;
    private String beginDateTime;
    private String endDateTime;
    private String bizdate;

    @Override
    public String toString() {
        return "SynKafKaJobArgs{" +
                "project='" + project + '\'' +
                ", flow='" + flow + '\'' +
                ", taskName='" + taskName + '\'' +
                ", nodeIds=" + nodeIds +
                ", tn='" + tn + '\'' +
                ", topic='" + topic + '\'' +
                ", beginDateTime='" + beginDateTime + '\'' +
                ", endDateTime='" + endDateTime + '\'' +
                ", bizdate='" + bizdate + '\'' +
                '}';
    }
}
